using System.Collections;
using System.Collections.Generic;
using Godot;
using System;
using System.Threading.Tasks;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class PNGSettings:ImageSaveSettings
  { 
    public override void Save( Image image, string path )
    {
      path = path.EnsureEndsWith( ".png" );
      image.SavePng( path );
    }
  }
}